using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Case_FieldMapping")]
    public class CaseFieldMapping
    {
        [Key]
        public int FieldMappingID { get; set; }

        [Required]
        [StringLength(100)]
        public string DisplayField { get; set; }

        public int FieldType { get; set; }

        [Required]
        [StringLength(100)]
        public string FieldMapping { get; set; }

        [StringLength(50)]
        public string TableName { get; set; }

        [StringLength(50)]
        public string FieldMappingRef { get; set; }

        [StringLength(50)]
        public string FieldMappingRefCode { get; set; }

        public bool IsInnerJoin { get; set; }
    }
}
